%global momorel 3
%global date 20060301
%global scim_binary_version 1.4.0

Summary: Smart Common Input Method platform
Name: scim
Version: 1.4.4
Release: 0.%{date}.%{momorel}m
URL: http://www.scim-im.org/
#http://sourceforge.net/mailarchive/forum.php?thread_id=6710611&forum_id=43694
# %%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/scim/scim-%{version}.tar.gz 6805403b2151e89f17f5686e7ebcd515
Source0: %{name}-%{version}.%{date}.tar.bz2
Source1: xim.d-SCIM
Patch0: %{name}-%{version}-configs.patch
License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: glib >= 2.0.0 gtk+ >= 2.2.0 pango >= 1.0.0 GConf >= 2.0.0
BuildRequires: glib-devel >= 2.0.0 gtk+-devel >= 2.2.0  pango-devel >= 1.0.0
BuildRequires: GConf-devel >= 2.0.0 pkgconfig >= 0.12
BuildRequires: perl-XML-Parser expat-devel
BuildRequires: doxygen automake autoconf
BuildRequires: libX11-devel, libXcursor-devel, libXext-devel, libXfixes-devel
BuildRequires: libXft-devel, libXi-devel, libXinerama-devel, libXrandr-devel
BuildRequires: libXrender-devel, fontconfig-devel, freetype2-devel

%description
Smart Common Input Method platform, in short SCIM, is a development
platform to make Input Method developer life easier. It honors a
very clear architecture and provides a pretty simple and powerful
programming interface.

%package devel
Summary: Development tools for SCIM applications.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.12

%description devel
scim-devel package contains the header files and static libraries to
develop a SCIM applications.

%prep
%setup -q
%patch0 -p1 -b .config~

%build
./bootstrap
%configure --enable-ld-version-script
%make

# build documentation
make -C docs html

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_libdir}/scim-1.0/{Config,FrontEnd,IMEngine,SetupUI,Helper}

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/SCIM

%{find_lang} %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%postun
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS TODO
%{_sysconfdir}/X11/xinit/xim.d/SCIM
%{_bindir}/*
%{_libdir}/libscim-1.0.so.*
%{_libdir}/libscim-gtkutils-1.0.so.*
%{_libdir}/libscim-x11utils-1.0.so.*
%{_libdir}/gtk-2.0/immodules/im-scim.so
%dir %{_libdir}/scim-1.0
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-panel-gtk
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%dir %{_libdir}/scim-1.0/%{scim_binary_version}
%dir %{_libdir}/scim-1.0/%{scim_binary_version}/Config
%{_libdir}/scim-1.0/%{scim_binary_version}/Config/*.so
%dir %{_libdir}/scim-1.0/%{scim_binary_version}/Filter
%{_libdir}/scim-1.0/%{scim_binary_version}/Filter/*.so
%dir %{_libdir}/scim-1.0/%{scim_binary_version}/FrontEnd
%{_libdir}/scim-1.0/%{scim_binary_version}/FrontEnd/*.so
%dir %{_libdir}/scim-1.0/%{scim_binary_version}/IMEngine
%{_libdir}/scim-1.0/%{scim_binary_version}/IMEngine/*.so
%dir %{_libdir}/scim-1.0/%{scim_binary_version}/SetupUI
%{_libdir}/scim-1.0/%{scim_binary_version}/SetupUI/*.so
%dir %{_libdir}/scim-1.0/%{scim_binary_version}/Helper
%{_libdir}/scim-1.0/%{scim_binary_version}/Helper/*.so
%dir %{_libdir}/scim-1.0/Config
%dir %{_libdir}/scim-1.0/FrontEnd
%dir %{_libdir}/scim-1.0/Helper
%dir %{_libdir}/scim-1.0/IMEngine
%dir %{_libdir}/scim-1.0/SetupUI
%{_datadir}/applications/scim-setup.desktop
%{_datadir}/control-center-2.0/capplets/scim-setup.desktop
%{_datadir}/pixmaps/scim-setup.png
%{_datadir}/scim
# %%config %{_sysconfdir}/gconf/schemas/*
%config %{_sysconfdir}/scim/global
%config %{_sysconfdir}/scim/config

%files devel
%defattr(-, root, root)
%doc docs/html docs/developers
%{_libdir}/libscim-1.0.a
%{_libdir}/libscim-1.0.la
%{_libdir}/libscim-1.0.so
%{_libdir}/libscim-gtkutils-1.0.a
%{_libdir}/libscim-gtkutils-1.0.la
%{_libdir}/libscim-gtkutils-1.0.so
%{_libdir}/libscim-x11utils-1.0.a
%{_libdir}/libscim-x11utils-1.0.la
%{_libdir}/libscim-x11utils-1.0.so
%{_libdir}/gtk-2.0/immodules/im-scim.a
%{_libdir}/gtk-2.0/immodules/im-scim.la
%{_libdir}/pkgconfig/scim.pc
%{_libdir}/pkgconfig/scim-gtkutils.pc
%{_libdir}/pkgconfig/scim-x11utils.pc
%{_libdir}/scim-1.0/%{scim_binary_version}/Config/*.a
%{_libdir}/scim-1.0/%{scim_binary_version}/Config/*.la
%{_libdir}/scim-1.0/%{scim_binary_version}/Filter/*.a
%{_libdir}/scim-1.0/%{scim_binary_version}/Filter/*.la
%{_libdir}/scim-1.0/%{scim_binary_version}/FrontEnd/*.a
%{_libdir}/scim-1.0/%{scim_binary_version}/FrontEnd/*.la
%{_libdir}/scim-1.0/%{scim_binary_version}/IMEngine/*.a
%{_libdir}/scim-1.0/%{scim_binary_version}/IMEngine/*.la
%{_libdir}/scim-1.0/%{scim_binary_version}/SetupUI/*.a
%{_libdir}/scim-1.0/%{scim_binary_version}/SetupUI/*.la
%{_libdir}/scim-1.0/%{scim_binary_version}/Helper/*.a
%{_libdir}/scim-1.0/%{scim_binary_version}/Helper/*.la
%{_includedir}/scim-1.0

%changelog
* Sun Jun 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.3m)
- update configs.patch (change initial settings)
  remove /FrontEnd/SharedInputMethod = true

* Sun Mar 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.2m)
- update configs.patch (change initial settings)
  remove Control+space from /Hotkeys/FrontEnd/Trigger
  for emacs users

* Sat Mar 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.1m)
- update to 20060301 cvs snapshot (use opensuse tar-ball)
 +* Sat Mar 04 2006 - zsu@suse.de
 +- Upgrade to the latest cvs head to fix the following issues [#154308]
 +- Fixed a NULL pointer bug in scim_imengine_setup.cpp, which causes
 +  GTK-CRITICAL issue when launching scim-setup.
 +- Rename language name "Panjabi" to "Punjabi".
 +- Add 4 new languange names that required by m17n 1.3.0
 +- Fixed a bug in rawcode engine which prevents from inputting some
 +  code point.
- import configs.patch from opensuse
 +* Fri Aug 19 2005 - mfabian@suse.de
 +- Bugzilla #105319: make /FrontEnd/X11/Dynamic = false the
 +  default again to make sure that Compose works always.
 +- Bugzilla #105193: add "Zenkaku_Hankaku" to
 +  /Hotkeys/FrontEnd/Trigger (this is the trigger key used MS IME
 +  for Japanese).
- revise %%files
- BuildRequires: doxygen automake autoconf

* Tue Feb 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-3m)
- remove "-fno-strict-aliasing" from CFLAGS and CXXFLAGS
- add --enable-ld-version-script to configure

* Fri Jan 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-2m)
- add "-fno-strict-aliasing" to CFLAGS and CXXFLAGS for gcc-4.0.2-3m
  gcc-4.1.0-0.8m works fine without "-fno-strict-aliasing", don't forget 

* Fri Jan 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-1m)
- version 1.4.4

* Sat Dec 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-1m)
- version 1.4.3

* Tue Aug 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-1m)
- version 1.4.2

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-1m)
- version 1.4.1

* Sat May 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3 (minor bugfix release)

* Tue Apr 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2 (minor bugfix release)

* Sat Mar 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1 (minor bugfix release)

* Fri Mar 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-4m)
- modify Source1: xim.d-SCIM
  use ':' instead of 'skim -d'

* Thu Mar 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-3m)
- modify xim.d/SCIM for skim

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-2m)
- add xim.d/SCIM

* Thu Mar 03 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-1m)
- updated to 1.2.0

* Mon Nov 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.1-1m)
- updated to 1.0.1

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (1.0.0-2m)
- minor fix
 
* Tue Sep 21 2004 meke <meke@apost.plala.or.jp>
- (1.0.0-1m)
- import VineSeedPlus
- fix build.

* Wed Sep  8 2004 IWAI, Masaharu <iwai@alib.jp> 1.0.0-0vl1
- initial build

